Package pyplusplus :: Package code_creators :: Module algorithm :: Class creator_finder

# ClassType creator_finder

source code

This class is used as container for different find algorithms.

Static Methods

find_by_declaration(declaration_matcher, where, recursive=True) Finds code creator by declaration. | source code

find_by_declaration_single(declaration_matcher, where, recursive=True) | source code

find_by_class_instance(what, where, recursive=True) | source code

Method Details

### find_by_declaration(declaration_matcher, where, recursive=True)
Static Method

source code

Finds code creator by declaration. declaration_matcher should be callable, that takes single argument declaration, and returns True or False where - code creator or list of code creators This function returns a list of all relevant code creators